## ros-one-ml-classifiers 0.3.1-8jammy.20251022.2358

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(ml_classifiers)

find_package(catkin REQUIRED
  COMPONENTS message_generation std_msgs roscpp pluginlib)
find_package(Eigen3 REQUIRED)

set(Eigen3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIRS})

add_message_files(FILES
  ClassDataPoint.msg
  DIRECTORY msg)

add_service_files(FILES
  AddClassData.srv ClassifyData.srv 	ClearClassifier.srv 	CreateClassifier.srv
  LoadClassifier.srv SaveClassifier.srv TrainClassifier.srv
  DIRECTORY srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  DEPENDS Eigen3
  CATKIN_DEPENDS message_runtime std_msgs roscpp pluginlib 
  INCLUDE_DIRS include
  LIBRARIES ZeroClassifier NearestNeighborClassifier SVMClassifier
)

add_definitions(${EIGEN3_DEFINITIONS})

include_directories(include ${EIGEN3_INCLUDE_DIRS} ${catkin_INCLUDE_DIRS})

add_library(ZeroClassifier src/zero_classifier.cpp) 
add_library(NearestNeighborClassifier src/nearest_neighbor_classifier.cpp)
add_library(SVMClassifier src/svm_classifier.cpp src/libsvm-3.14/svm.cpp)
add_executable(classifier_server nodes/classifier_server.cpp)
target_link_libraries(classifier_server ${catkin_LIBRARIES})
add_dependencies(classifier_server ${PROJECT_NAME}_generate_messages_cpp)

install(TARGETS classifier_server ZeroClassifier NearestNeighborClassifier SVMClassifier
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-ml-classifiers (0.3.1-8jammy.20251022.2358) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 22 Oct 2025 23:58:52 +0000

ros-one-ml-classifiers (0.3.1-0jammy) jammy; urgency=high

  * Fix build for indigo
  * Merge pull request #2 <https://github.com/sniekum/ml_classifiers/issues/2> from davetcoleman/rospack_dep
    Missing dep on rosdep
  * Missing dep on rosdep
  * updated version number
  * Merge pull request #1 <https://github.com/sniekum/ml_classifiers/issues/1> from k-okada/hydro
    upgrade to hydro
  * upgrade to hydro
  * added rosdep eigen
  * removed eigen rosdep
  * updated version
  * fixed rosdep
  * Switched linear kernel to RBF
  * Moved to github
  * Contributors: Dave Coleman, Hunter Laux, Kei Okada, Scott Niekum, sniekum

 -- Scott Niekum <sniekum@cs.umass.edu>  Mon, 15 Sep 2014 00:00:00 -0000

=== debian/control ===
Source: ros-one-ml-classifiers
Section: misc
Priority: optional
Maintainer: Scott Niekum <sniekum@cs.umass.edu>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-catkin, ros-one-message-generation, ros-one-pluginlib, ros-one-roscpp, ros-one-roslib, ros-one-std-msgs
Homepage: http://ros.org/wiki/ml_classifiers
Standards-Version: 3.9.2

Package: ros-one-ml-classifiers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-one-message-runtime, ros-one-pluginlib, ros-one-roscpp, ros-one-roslib, ros-one-std-msgs
Description: ml_classifiers

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ml-classifiers//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ml-classifiers 0.3.1-8jammy.20260220.2059

=== debian/changelog ===
ros-one-ml-classifiers (0.3.1-8jammy.20260220.2059) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 20 Feb 2026 20:59:37 +0000

## ros-one-ml-classifiers 0.3.1-8noble.20251022.2356

=== debian/changelog ===
ros-one-ml-classifiers (0.3.1-8noble.20251022.2356) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Wed, 22 Oct 2025 23:56:35 +0000

ros-one-ml-classifiers (0.3.1-0noble) noble; urgency=high

  * Fix build for indigo
  * Merge pull request #2 <https://github.com/sniekum/ml_classifiers/issues/2> from davetcoleman/rospack_dep
    Missing dep on rosdep
  * Missing dep on rosdep
  * updated version number
  * Merge pull request #1 <https://github.com/sniekum/ml_classifiers/issues/1> from k-okada/hydro
    upgrade to hydro
  * upgrade to hydro
  * added rosdep eigen
  * removed eigen rosdep
  * updated version
  * fixed rosdep
  * Switched linear kernel to RBF
  * Moved to github
  * Contributors: Dave Coleman, Hunter Laux, Kei Okada, Scott Niekum, sniekum

 -- Scott Niekum <sniekum@cs.umass.edu>  Mon, 15 Sep 2014 00:00:00 -0000

## ros-one-ml-classifiers 0.3.1-8noble.20260220.2103

=== debian/changelog ===
ros-one-ml-classifiers (0.3.1-8noble.20260220.2103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Scott Niekum <sniekum@cs.umass.edu>  Fri, 20 Feb 2026 21:03:08 +0000
